LibreOffice: XIndexEntrySupplier Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIndexEntrySupplier Interface Referencepublished

supplies information on index entries to generate a "table of alphabetical index" for a given locale. More...

Inheritance diagram for XIndexEntrySupplier:

## Public Member Functions
string | getIndexCharacter ([in] string aIndexEntry, [in] com::sun::star::lang::Locale aLocale, [in] string aSortAlgorithm)
| returns the capital index key for sorting a table of indexes, to a given index entry, to a given com::sun::star::lang::Locale and to a given sort algorithm. More...
string | getIndexFollowPageWord ([in] boolean bMorePages, [in] com::sun::star::lang::Locale aLocale)
| returns the page number word of an index entry, where one page or more pages are combined to one page number entry, for a given com::sun::star::lang::Locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supplies information on index entries to generate a "table of alphabetical index" for a given locale.

Developers Guide
  OfficeDev - Overview and Using the API - XIndexEntrySupplier
  OfficeDev - Implementing a New Locale - XIndexEntrySupplier

## Member Function Documentation

## ◆ getIndexCharacter()

string getIndexCharacter | ( | [in] string | aIndexEntry,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] string | aSortAlgorithm
| ) |  |

returns the capital index key for sorting a table of indexes, to a given index entry, to a given com::sun::star::lang::Locale and to a given sort algorithm.

For example, in English locale it returns "K" for "keyboard"

## ◆ getIndexFollowPageWord()

string getIndexFollowPageWord | ( | [in] boolean | bMorePages,
|  | [in] com::sun::star::lang::Locale | aLocale
| ) |  |

returns the page number word of an index entry, where one page or more pages are combined to one page number entry, for a given com::sun::star::lang::Locale.

For example, in English locale it returns
"p." for bMorePages == `FALSE`
"pp." for bMorePages == `TRUE`

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XIndexEntrySupplier.idl